#!/bin/bash

# === KONFIGURATION ===
SRC="/home/kywo/voice/ts3/data"
DEST="/home/kywo/voice/ts3/backups"
DATE=$(date +%Y-%m-%d)
BACKUP_NAME="ts3_backup_$DATE.tar.gz"

# === VERZECIHNISS ERSTELLEN ===
mkdir -p $DEST

# === BACKUP AUSFÜHREN ===
tar --exclude-from=./exclude.txt -czf "$DEST/$BACKUP_NAME" -C "$SRC" .
chown kywo:kywo "$DEST/$BACKUP_NAME"

# Optional: Alte Backups löschen (älter als 7 Tage)
find "$DEST" -name "ts3_backup_*.tar.gz" -mtime +30 -delete
